/* eslint-disable handle-callback-err */
import { PostData, GetURL } from '../helpers'
import url from '../url'

export const listRequest = async (body) =>
    PostData(url.listRequest, body)
        .then((res) => res)
        .catch((err) => null)

export const updateStatusRequest = async (body) =>
    PostData(url.updateStatusRequest, body)
        .then((res) => res)
        .catch((err) => null)

export const detailCustomerCare = async (id, body) =>
    GetURL(`${url.detailCustomerCare}/${id}`, body)
        .then((res) => res)
        .catch((err) => null)
